summaryrefslogtreecommitdiffstats
path: root/tests/omod-if-array.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/omod-if-array.sh')
-rwxr-xr-xtests/omod-if-array.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/tests/omod-if-array.sh b/tests/omod-if-array.sh
index cac08928..2c2a8ef3 100755
--- a/tests/omod-if-array.sh
+++ b/tests/omod-if-array.sh
@@ -1 +1,14 @@
-./udptester omod-if-array
+echo test omod-if-array via udp
+$srcdir/killrsyslog.sh # kill rsyslogd if it runs for some reason
+
+./nettester -tomod-if-array -iudp -p4711
+if [ "$?" -ne "0" ]; then
+ exit 1
+fi
+
+echo test omod-if-array via tcp
+./nettester -tomod-if-array -itcp
+if [ "$?" -ne "0" ]; then
+ exit 1
+fi
+